import { JavaObject } from '../../../java/lang/JavaObject';
export declare class OrtKatalogEintrag extends JavaObject {
    id: number;
    plz: String | null;
    ortsname: String | null;
    kreis: String | null;
    kuerzelBundesland: String | null;
    sortierung: number;
    istSichtbar: boolean;
    istAenderbar: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): OrtKatalogEintrag;
    static transpilerToJSON(obj: OrtKatalogEintrag): string;
    static transpilerToJSONPatch(obj: Partial<OrtKatalogEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kataloge_OrtKatalogEintrag(obj: unknown): OrtKatalogEintrag;
